McDSP VENUE 6.4.0.15+ plug-ins don’t work on Avid S3L-X

I tried installing the latest versions of the McDSP VENUE plug-ins on my Avid S3L-X today, but they don’t work. The announcement says they are for the S6L, but all past versions have also worked on the S3L, so I’d hoped they would continue working. Alas, they don’t. Stick with the older 6.3.0.11 release.

The specific behaviour I see is that the plug-ins install successfully, as I’d expect, but when I open a show file using one of the plug-ins, they appear with the yellow/red triangle and are listed as “not available”. Plug-ins that I don’t have loaded in the current show file don’t even appear in the tree of available plug-ins, although they are listed on the plug-ins install page.

To get back to working plugins, I downgraded my plug-ins to the previously working version of the VENUE 6.3.0.11 bundle installer. Unfortunately, this means I can’t use the newer EC300 or NR800 plug-ins I was so looking forward to using.


[Update: 2018-10-16] I fixed the link to the VENUE 6.3.0.11 bundle installer. I had incorrectly pointed to a nonexistent 6.4.0.11 version.

[Update: 2018-09-06] McDSP released a new 6.5.0.3 plug-in version for Windows that supports iLok Cloud. I tried this version (via manual install), and it also does not work.

[Update: 2018-09-04] I noticed today that the term “S3L” was removed from the VENUE installer on the McDSP Downloads page, and only the S6L is listed as supported for the 6.4.0.15 release. I’m guessing they have unofficially dropped support for the S3L, although I can’t find any other confirmation to that effect.

[Update: 2018-09-01] I tried manually downloading and installing the 6.4.0.14 version of the EC300 and NR800 plug-ins on a separate Windows machine, copied the installed plug-ins to a USB stick, and installed them on my S3L-X. This also did not work. (I’ve successfully used this method in the past to install the SA-2 Dialog Processor before it was included in the VENUE bundle installer, so I know it works.)